#!/bin/bash

timesheet=$1

#sort timesheet by customer

#sum of each customer
currentCustomer=""
sum=0
total=0

echo "Customer      :      Hours"

sort -t"," -k5 $timesheet | while read -r line
do
	customer=$(echo $line | cut -d"," -f5)
	billable=$(echo $line | cut -d"," -f7)
	hours=$(echo $line | cut -d"," -f8)
	

	if [ "$customer" != "$currentCustomer" ]
	then
		echo "$currentCustomer 	    :  	   $sum"
		total=$(($total + $sum))
		currentCustomer="$customer"
		sum=0
	fi

	if [ "$billable" == "Y" ]
	then
		sum=$(($sum + $hours))
	fi

done
#echo "Total         :        $total"

